(define-module (nongnu packages liquidbounce)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (nonguix licenses)
  #:use-module (nonguix build-system binary))

(define-public liquidlauncher
  (package
    (name "liquidlauncher")
    (version "0.1.8")
    (source (origin
              (method url-fetch)
              (uri (string-append "https://github.com/CCBlueX/LiquidLauncher/releases/download/"
                                  version "/liquidlauncher_" version "_" architecture "." packaging ".tar.gz"))
              (sha256 (base32
                        "<INSERT CORRECT HASH>"))))
    (build-system binary-build-system)
    ;; LiquidLauncher is an AppImage which is ready to run, so no need for a build.
    (native-inputs `(("runtime" "java-runtime")))
    ;; We need to specify the location of the binary after unpacking. You will need to adjust this path if it's incorrect.
    (arguments `(#:install-plan `(("liquidlauncher/LiquidLauncher" "bin/"))
                  #:tests? #f)) 
    (home-page "https://liquidbounce.net")
    (synopsis "Official launcher for LiquidBounce")
    (description "LiquidLauncher is the official launcher for LiquidBounce. It eases the installation of the client and keeps it automatically up to date.")
    (license license:gpl3)))
